Ability to manage Role assignments by individual Group Member.
Description

Currently, assigning a Group to a Project and Role is an all-or-nothing proposition, as one can only assign an entire Group to a

Project Role, and once assigned, individual Group members cannot be removed from that role.

We have groups for Developers, QA Analysts, BA's, etc., but these groups cannot be assigned to projects directly, because no

project is worked on by ALL the developers or QA people and certainly not managed by ALL the PM's.  The Group becomes useful

mostly as a pick list to use when assigning users to projects.

Some method of adding and removing individual Group members from projects and roles is needed, and would greatly improve the

usefulness of Groups.

Related issues:

Related to Redmine - Feature #18424: can be in the project group management New

Related to Redmine - Feature #5542: Allow register users to add/remove themse... New 2010-05-17

History

#1 - 2011-07-24 09:38 - Terence Mill

I think that "problem" should be solved by proper groups and not using groups a container for people of same role. In user mangament system like

ldap you have organizational groups or project groups and if u use roles you would would have attribute on individual persons but not use groups for

that.

Using groups to assign roles above project level doesn't have any more adavantages than working around some "strange" grouping behaviour.

#2 - 2011-07-24 15:05 - Etienne Massip

- Category set to Issues workflow

Agree with Terence.

#3 - 2011-08-08 17:05 - William Baum

Using groups for people of the same role isn't proper?  Not sure how else one would do it.. If you made a group for each unique combination of

individuals in a given role, that would quickly grow to a unique group per project role, which is no better than simply managing individuals at the

project level.

For example.. Assume 50 projects, 20 developers, 20 QA people, and each project has a unique combination of developers and QA people assigned

to it at any one time. The proper use of groups is to create 100 groups?

#4 - 2011-10-29 20:02 - William Baum

This limitation can be worked around by assigning the group to a role with limited privileges.  You can then add and remove additional roles to specific

individuals in the group.

#5 - 2014-12-24 04:26 - Toshi MARUYAMA

- Related to Feature #18424: can be in the project group management added

#6 - 2014-12-24 04:27 - Toshi MARUYAMA

- Related to Feature #5542: Allow register users to add/remove themselves from a project added
